- Aldebaran documentation |
- C++ Libraries |
- index

libqi-api 2.8.7.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Types | Static Public Attributes | List of all members
qi::detail::EqFunctionBare< F > Struct Template Reference

`#include <anyfunctionfactory.hxx>`

## Public Types
using | Components = typename boost::function_types::components< F >::type
using | Arguments = typename boost::function_types::parameter_types< F >::type
using | Result = typename boost::function_types::result_type< F >::type
using | EqArguments = typename boost::mpl::transform< Arguments, EqType< boost::mpl::_1 >>::type
using | EqResult = typename EqType< Result >::rType
using | EqComponents = typename boost::mpl::push_front< EqArguments, EqResult >::type
using | type = typename boost::function_types::function_type< EqComponents >::type

## Static Public Attributes
static const unsigned long | refMask

## Detailed Description

### template<typename F>
struct qi::detail::EqFunctionBare< F >

Definition at line 163 of file anyfunctionfactory.hxx.

## Member Typedef Documentation

template<typename F >

using qi::detail::EqFunctionBare< F >::Arguments = typename boost::function_types::parameter_types<F>::type

Definition at line 167 of file anyfunctionfactory.hxx.

template<typename F >

using qi::detail::EqFunctionBare< F >::Components = typename boost::function_types::components<F>::type

Definition at line 165 of file anyfunctionfactory.hxx.

template<typename F >

using qi::detail::EqFunctionBare< F >::EqArguments = typename boost::mpl::transform<Arguments, EqType<boost::mpl::_1>>::type

Definition at line 171 of file anyfunctionfactory.hxx.

template<typename F >

using qi::detail::EqFunctionBare< F >::EqComponents = typename boost::mpl::push_front<EqArguments, EqResult>::type

Definition at line 173 of file anyfunctionfactory.hxx.

template<typename F >

using qi::detail::EqFunctionBare< F >::EqResult = typename EqType<Result>::rType

Definition at line 172 of file anyfunctionfactory.hxx.

template<typename F >

using qi::detail::EqFunctionBare< F >::Result = typename boost::function_types::result_type<F>::type

Definition at line 168 of file anyfunctionfactory.hxx.

template<typename F >

using qi::detail::EqFunctionBare< F >::type = typename boost::function_types::function_type<EqComponents>::type

Definition at line 178 of file anyfunctionfactory.hxx.

## Member Data Documentation

template<typename F >

const unsigned long qi::detail::EqFunctionBare< F >::refMask
| static

Initial value:
= RefMasqBuilderHelper<Components,
typename boost::mpl::begin<Components>::type, 0>::val

Definition at line 176 of file anyfunctionfactory.hxx.

The documentation for this struct was generated from the following file:

- /home/opennao/work/release-2.8/sdk/libqi/qi/type/detail/anyfunctionfactory.hxx